CMeans::SparseProbmap Class Reference

`#include <mia/core/cmeans.hh>`

## Public Types

typedef std::vector< value_type > | Map
typedef std::pair< unsigned short, DVector > | value_type

## Public Member Functions

Map::iterator | begin ()
Map::const_iterator | begin () const
Map::iterator | end ()
Map::const_iterator | end () const
DVector | get_fuzzy (double x) const
value_type & | operator[] (int i)
const value_type & | operator[] (int i) const
bool | save (const std::string &filename) const
size_t | size () const
| SparseProbmap ()=delete
| SparseProbmap (const std::string &filename)
| SparseProbmap (size_t size)

## Detailed Description

Definition at line 37 of file cmeans.hh.

## Member Typedef Documentation

## Map

typedef std::vector<value_type> CMeans::SparseProbmap::Map

Definition at line 41 of file cmeans.hh.

## value_type

typedef std::pair<unsigned short, DVector> CMeans::SparseProbmap::value_type

Definition at line 40 of file cmeans.hh.

## Constructor & Destructor Documentation

## SparseProbmap() [1/3]

CMeans::SparseProbmap::SparseProbmap | ( |  | ) |

delete

## SparseProbmap() [2/3]

CMeans::SparseProbmap::SparseProbmap | ( | size_t | size | ) |

References size().

## SparseProbmap() [3/3]

CMeans::SparseProbmap::SparseProbmap | ( | const std::string & | filename | ) |

## Member Function Documentation

## begin() [1/2]

Map::iterator CMeans::SparseProbmap::begin | ( |  | ) |

inline

Definition at line 61 of file cmeans.hh.

## begin() [2/2]

Map::const_iterator CMeans::SparseProbmap::begin | ( |  | ) | const

inline

Definition at line 57 of file cmeans.hh.

## end() [1/2]

Map::iterator CMeans::SparseProbmap::end | ( |  | ) |

inline

Definition at line 70 of file cmeans.hh.

## end() [2/2]

Map::const_iterator CMeans::SparseProbmap::end | ( |  | ) | const

inline

Definition at line 66 of file cmeans.hh.

## get_fuzzy()

DVector CMeans::SparseProbmap::get_fuzzy | ( | double | x | ) | const

## operator[]() [1/2]

value_type & CMeans::SparseProbmap::operator[] | ( | int | i | ) |

inline

Definition at line 47 of file cmeans.hh.

## operator[]() [2/2]

const value_type & CMeans::SparseProbmap::operator[] | ( | int | i | ) | const

inline

Definition at line 52 of file cmeans.hh.

## save()

bool CMeans::SparseProbmap::save | ( | const std::string & | filename | ) | const

## size()

size_t CMeans::SparseProbmap::size | ( |  | ) | const

inline

Definition at line 80 of file cmeans.hh.

Referenced by SparseProbmap().

The documentation for this class was generated from the following file:

- cmeans.hh